---
name: Bug Report
about: Report a problem in lualine
title: 'Bug: '
labels: bug

---

<!--
  Before reporting: search existing issues and
  ensure you are running neovim >= 0.5 and the
  latest version of lualine.
-->

### Self Checks

<!-- Check these boxes by placing an X in the middle -->
- [ ] I'm using the latest lualine.
- [ ] I didn't find the issue in existing issues or PRs.

### How to reproduce the problem
<!-- Add steps to reproduce with minimal config from below -->

### Expected behaviour


### Actual behaviour


### Minimal config to reproduce the issue

<!--
  =================
  ### IMPORTANT ###
  =================

  You need to provide a way to reproduce the issue without influence
  of other plugins.

  Issues without proper format and a proper way to
  reproduce might be ignored and closed without any reply.

  This script can help you with that.
  https://github.com/nvim-lualine/lualine.nvim/blob/master/scripts/nvim_isolated_conf.sh

  Create an isolated config directory with:

    `nvim_isolated_conf.sh -c DirectoryName`

  Then modify the DirectoryName/.config/nvim/init.vim
  so you can reproduce the issue .

    `nvim_isolated_conf.sh -e DirectoryName`

  will open DirectoryName/.config/nvim/init.vim in neovim.
  the init.vim will have instructions on how and where to place
  your config don't worry if you don't know viml you can get away
  with lua even in a vim file.

  Then you can load the config in an isolated environment to see
  if the issue is occurring with

    `nvim_isolated_conf.sh -l DirectoryName`

  Paste the DirectoryName/.config/init.vim below
-->


### Additional information

